Xerces-J API: Class HTMLBodyElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLBodyElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLBodyElementImpl

public class HTMLBodyElementImpl
extends HTMLElementImpl
implements HTMLBodyElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:52 $
Author:
  Assaf Arkin
See Also:
  `HTMLBodyElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLBodyElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getALink()` Color of active links (after mouse-button down, but before mouse-button up).
`java.lang.String` | `getBackground()` URI of the background texture tile image.
`java.lang.String` | `getBgColor()` Document background color.
`java.lang.String` | `getLink()` Color of links that are not active and unvisited.
`java.lang.String` | `getText()` Document text color.
`java.lang.String` | `getVLink()` Color of links that have been visited by the user.
`void` | `setALink(java.lang.String aLink)`
`void` | `setBackground(java.lang.String background)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setLink(java.lang.String link)`
`void` | `setText(java.lang.String text)`
`void` | `setVLink(java.lang.String vLink)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLBodyElementImpl

    public HTMLBodyElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getALink

    public java.lang.String getALink()

  Description copied from interface: HTMLBodyElement
  Color of active links (after mouse-button down, but before mouse-button up). See the alink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getALink in interface HTMLBodyElement

### setALink

    public void setALink(java.lang.String aLink)

  Specified by:
    setALink in interface HTMLBodyElement

### getBackground

    public java.lang.String getBackground()

  Description copied from interface: HTMLBodyElement
  URI of the background texture tile image. See the background attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getBackground in interface HTMLBodyElement

### setBackground

    public void setBackground(java.lang.String background)

  Specified by:
    setBackground in interface HTMLBodyElement

### getBgColor

    public java.lang.String getBgColor()

  Description copied from interface: HTMLBodyElement
  Document background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getBgColor in interface HTMLBodyElement

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    setBgColor in interface HTMLBodyElement

### getLink

    public java.lang.String getLink()

  Description copied from interface: HTMLBodyElement
  Color of links that are not active and unvisited. See the link attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getLink in interface HTMLBodyElement

### setLink

    public void setLink(java.lang.String link)

  Specified by:
    setLink in interface HTMLBodyElement

### getText

    public java.lang.String getText()

  Description copied from interface: HTMLBodyElement
  Document text color. See the text attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getText in interface HTMLBodyElement

### setText

    public void setText(java.lang.String text)

  Specified by:
    setText in interface HTMLBodyElement

### getVLink

    public java.lang.String getVLink()

  Description copied from interface: HTMLBodyElement
  Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getVLink in interface HTMLBodyElement

### setVLink

    public void setVLink(java.lang.String vLink)

  Specified by:
    setVLink in interface HTMLBodyElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.